> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/oversikt-over-geopard-api-foresporsler/43.-sporring-hent-skifter.md).

# 43. Spørring: Hent "skifter"

Forespørsel for å hente brukerens "Fields" med filtre etter `etiketter`, `farmUuid`, `fieldUuid`, `feltnavn`. Feltene returneres i alfabetisk rekkefølge etter feltnavn.&#x20;

Feltfilteret fungerer som EN OG-betingelse, f.eks. mulig å filtrere etter `farmUuid` og etter `fieldUuid` og etter `etiketter` og etter `feltnavn` i én forespørsel eller bruke bare én filterbetingelse eller ingen betingelse.&#x20;

Filtrer etter `feltnavn` fungerer som `begynner_med`.&#x20;

For å implementere pagineringslogikk, bruk spørringsparameteren `sideStørrelse`. Det finnes `sisteEvaluerteNøkkel` og `totalantall` i svaret, hvor `sisteEvaluerteNøkkel` refererer til den sist behandlede posten som matcher filterbetingelsen og `totalantall` er totalt antall poster som matcher filtreringsbetingelsene.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
spørring FilterFields {
  hentFelter(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      etiketter: [{ navn: "name1", verdi: "value1" }]
      sideStørrelse: 2
      sisteEvaluerteNøkkel: {
        SortKey: "<some_key>"
        PartitionKey: "<some_key>"
        TagString: "<some_key>"
      }
      feltnavn: "Sample"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      navn
      labels {
        navn
        value
      }
      totalantall
    }
    sisteEvaluerteNøkkel {
      SortKey
      PartitionKey
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/oversikt-over-geopard-api-foresporsler/43.-sporring-hent-skifter.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
